/*
 * @Author: XianKaiQun
 * @Date: 2020-07-31 16:32:07
 * @LastEditors: wuwei 
 * @LastEditTime: 2024-05-28 14:18:03
 * @Description: 
 */
import 'package:app_package/app_package.dart';
import 'package:qrcode_package/src/models/repair_equipment_detail.dart';
import 'package:qrcode_package/src/models/repair_equipment_norm.dart';
import 'package:qrcode_package/src/models/repair_equipment_record.dart';
import 'package:qrcode_package/src/models/repair_plan.dart';

abstract class RepairService {
  ///扫码巡检
  Future<ResModel<List<RepairPlanModel>?>> getPlans(data);

  ///设备详情
  Future<ResModel<RepairEquipmentDetailModel>> getEquipmentDetail(String id);

  ///设备操作记录内容
  Future<ResModel<RepairEquipmentRecordModel>> getEquipmentRecord(
      String opreateRecordId);

  ///巡检，检修表单内容
  Future<ResModel<RepairEquipmentNormModel>> getEquipmentNorm(data);

  ///巡检，保养
  Future<ResModel<int?>> postCheck(data);

  ///维修
  Future<ResModel<int?>> postService(data);
}
